function erase_Line( hAxes, PlotNum )
% Erase line children of axe hAxe
%
% Input
% -----
% hAxes   ........ Handle to the graphic axes
% PlotNum ........ Plot Number (used for the TAG)
% 
% $Id$

hLines = findobj( hAxes(PlotNum), '-regexp', ...
                  'Tag', ['TAG_PLOT' num2str(PlotNum) '_LINE_']);
if ~isempty( hLines )
  delete(hLines);
end
