function value = get( self, prop )
% GET: Get profil properties from specified object
% $Id$

% $Id$

if nargin==1  % list properties if only object is given
  disp('profil properties:')
  fprintf(' file, mode, nc_id, autonan, autoscale');
  return
end

if ~ischar(prop), error('GET: prop must be string.'), end

switch prop
  
  case 'file'
    value = self.file;
  case 'mode'
    value = self.mode;
  case 'nc_id'
    value = self.nc_id;
  case 'autonan'
    value = self.autonan;
  case 'autoscale'
    value = self.autoscale;
  otherwise
   error(['GET: ', prop,' is not a valid netcdf property.']);
end
